CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

GetAcadState Method (ActiveX)

2023-1-4 10:15| 发布者: admin| 查看: 606| 评论: 0|来自: AutoCAD

摘要: 获取一个 AcadState 对象,以监视进程外应用程序中的 AutoCAD 状态。

获取一个 AcadState 对象,以监视进程外应用程序中的 AutoCAD 状态。

支持的平台:仅窗口

签名

工 务 局:

RetVal = object.GetAcadState()
对象

类型:应用

此方法适用的对象。

返回值(RetVal)

类型:阿卡德州

包含用于监视 AutoCAD 状态的属性的对象。IsQuiescent

言论

建议您在获取 AutoCAD 应用程序对象后立即调用此方法。这是识别处于静止状态的 AutoCAD 的最佳机会。

例子

工 务 局:

Sub Example_GetAcadState()
    ' This example gets the acadState object and checks to see if
    ' AutoCAD is in a quiescent state.
    Dim State As AcadState
    Set State = GetAcadState

    If State.IsQuiescent Then
        MsgBox "AutoCAD is quiescent."
    Else
        MsgBox "AutoCAD is not quiescent."
    End If
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_GetAcadState()
    ;; This example gets the acadState object and checks to see if
    ;; AutoCAD is in a quiescent state.
    (setq acadObj (vlax-get-acad-object))
  
    (setq State (vla-GetAcadState acadObj))
    (if (= (vla-get-IsQuiescent State) :vlax-true)
        (alert "AutoCAD is quiescent.")
        (alert "AutoCAD is not quiescent.")
    )
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 02:48

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部